Get available payment methods

GET/v0.1/merchants/{merchant_code}/payment-methods

Lists the payment methods available to the merchant for checkout payments. Use the optional amount and currency filters to check eligibility for a particular payment before presenting payment options to the payer.

Authorization

Use one of the following alternatives:

  • apiKey
  • oauth2
Authorization guide

Path parameters

  • merchant_codestringrequired

    Short unique identifier for the merchant.

    Example: "MH4H92C7"

Query parameters

  • amountnumber

    Payment amount in major units, for example 9.99 for EUR 9.99. When filtering by amount, also provide currency.

    Example: 9.99

  • currencystring

    Three-letter ISO 4217 currency code for which the payment methods should be eligible, for example EUR.

    Example: "EUR"

Responses

200application/json

Available payment methods

  • Payment methods available to the merchant for the checkout.

    Example: [{"id":"apple_pay"},{"id":"blik"}]

    Show 1 property
    • idstringrequired

      Unique identifier of the payment method.

      Example: "qr_code_pix"

400application/json

The request is invalid for the submitted query parameters.

  • titlestring

    Short title of the error.

    Example: "Bad Request"

  • detailsstring

    Details of the error.

    Example: "One or more of the parameters are invalid."

  • statusnumber

    HTTP status code for the error.

    Example: 400

  • failed_constraintsarray<object>

    List of violated validation constraints.

    Example: [{"message":"Currency must also be specified when filtering by amount","reference":"currency"}]

    Show 2 properties
    • messagestring

      Human-readable description of the violated constraint.

      Example: "Currency must also be specified when filtering by amount"

    • referencestring

      Name of the field that violated the constraint.

      Example: "currency"

Type to search…